Bug 181959 - autoconf213 missing m4 build dep
autoconf213 missing m4 build dep
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: autoconf213 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Depends On:
  Show dependency treegraph
Reported: 2006-02-17 17:47 EST by Bishop Clark
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-02-27 07:28:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bishop Clark 2006-02-17 17:47:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Win98; en-US; rv: Gecko/20060130 SeaMonkey/1.0

Description of problem:
When rebuilding autoconf on a barebones chrooted box, I noticed that apt-get build-dep for autoconf213 didn't pull in m4 .  However, the build of autoconf213 bails early on if m4 isn't included.

m4 >= 1.1 should go into the build-dep list.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set up super barebones install
2. set up apt, rpm-build
3. apt-get source autoconf213
4. apt-get build-dep autoconf213
5. as the non-root account, rpmbuild --rebuild autoconf213  

Actual Results:  the build bailed with a message that m4 >= 1.1 was missing.

Expected Results:  the apt-get build-dep should have seen the m4 dep and grabbed m4 for the build.

Additional info:

This makes it go all perfectly.

--- autoconf213-rhes4/autoconf213.spec  2004-09-23 14:12:40.000000000 -0700
+++ autoconf213-ts/autoconf213.spec     2006-02-16 03:00:41.000000000 -0800
@@ -17,7 +17,7 @@
 Patch8:                autoconf-2.13-make-defs-62361.patch
 Patch9:                autoconf-2.13-versioning.patch
 Requires:      gawk, m4, mktemp, perl, textutils
-Buildrequires: texinfo
+Buildrequires: texinfo m4 >= 1.1
 BuildArchitectures: noarch
 BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Comment 1 Karsten Hopp 2006-02-27 07:28:42 EST
fixed in autoconf213-2.13-12

Note You need to log in before you can comment on or make changes to this bug.